Skip to content

List saved cards. Only the account owner can call this

GET
/account/payment-methods
curl --request GET \
--url https://api.pingram.io/account/payment-methods \
--header 'Authorization: Bearer <token>'

List saved cards. Only the account owner can call this.

Authorizations

Responses

200

Successful response

Media typeapplication/json

GET /account/payment-methods and POST /account/payment-methods/assign response.

object
paymentMethods
required
Array<object>

Saved card you can assign to this account or other accounts you own.

object
id
required
string
brand
required

Card brand, such as visa or mastercard.

string
last4
required
string
expMonth
required
number
expYear
required
number
thisAccountPaymentMethodId

Card this account is billed on, when one is set.

string
defaultForNewAccountsPaymentMethodId

Card new accounts you create will use by default.

string
sharedAccountCount
required

How many of your accounts can use these cards, including this one.

number
Examplegenerated
{
"paymentMethods": [
{
"id": "example",
"brand": "example",
"last4": "example",
"expMonth": 1,
"expYear": 1
}
],
"thisAccountPaymentMethodId": "example",
"defaultForNewAccountsPaymentMethodId": "example",
"sharedAccountCount": 1
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}